Skip to main content
POST
/
jobs
Create job
curl --request POST \
  --url https://hireloam.com/api/v1/jobs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Senior Software Engineer",
  "department": "Engineering",
  "location": "San Francisco, CA",
  "employment_type": "full_time"
}
'
import requests

url = "https://hireloam.com/api/v1/jobs"

payload = {
"title": "Senior Software Engineer",
"department": "Engineering",
"location": "San Francisco, CA",
"employment_type": "full_time"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Senior Software Engineer',
department: 'Engineering',
location: 'San Francisco, CA',
employment_type: 'full_time'
})
};

fetch('https://hireloam.com/api/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "job": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "department": "<string>",
    "location": "<string>",
    "employment_type": "<string>",
    "public_slug": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "stages": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "order_index": 123
      }
    ]
  }
}
{
"error": {
"code": "invalid_request",
"message": "job_id is required"
}
}
{
"error": {
"code": "unauthorized",
"message": "Invalid or missing API key"
}
}
{
"error": {
"code": "forbidden",
"message": "Missing required scope: write"
}
}
{
"error": {
"code": "internal_error",
"message": "An internal error occurred"
}
}

Authorizations

Authorization
string
header
required

API key from Settings > API Keys

Body

application/json
title
string
required

Job title

description_md
string

Job description in markdown

department
string

Department name

location
string

Job location

employment_type
enum<string>

Employment type

Available options:
full_time,
part_time,
contract,
internship
show_salary
boolean

Whether salary is shown publicly

salary_currency
enum<string>
Available options:
USD,
EUR,
GBP,
CAD,
AUD,
OTHER
salary_timeframe
enum<string>
Available options:
yearly,
monthly,
hourly
salary_min
number
salary_max
number
equity_min
number
equity_max
number

Response

Job created

job
object